patch
https://gateway.remote.com/v1/sandbox/employments/
Updates an employment. Use this endpoint to:
- modify employment states for testing
- Backdate employment start dates
This endpoint will respond with a 404 outside of the Sandbox environment.
partner_external_id cannot be updated here and is ignored if sent, like any other
unsupported field. Set it with PATCH /api/eor/v1/employments/{employment_id} instead.
For updating an employment's parameters outside of testing purposes, use this Employment update endpoint.
Authentication
This endpoint accepts any one of the following token types:
- Company-scoped access token (
OAuth2AuthorizationCode) — obtained by a company manager through the Authorization Code flow or the Refresh Token flow. See Authentication for partners. - Company-scoped access token (assertion) (
OAuth2CompanyManagerAssertion) — obtained through theurn:ietf:params:oauth:grant-type:jwt-bearergrant for a company manager. See OAuth Assertion. - Customer API token (
CustomerAPIToken) — generated by the customer on their Integration Settings page, with the scopes they choose there. See Authorization for customers.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Callback